import instance from "@/utils/request";

// 测试登录
export const testLogin = params => instance.post("/user/smsLogin", params);
export const getSmsCode = params => instance.postForm("/user/getSmsCode", params);
// 新华登录
export const xinhuaMpLogin = params => instance.post("/user/xinhua/mpLogin", params);
// 获取用户简历
export const getUserResumeApi = () => instance.post("/user/resume/info");
// 获取等用户信息
export const getLoginUserApi = () => instance.post("/c/user/getLoginUser");
// 保存个人优势
export const saveAdvantageApi = params => instance.post("/user/resume/saveAdvantage", params);
// 保存用户求职状态
export const saveJobStatusApi = params => instance.post("/user/resume/saveJobStatus", params);

// 保存用户基本信息
export const saveUserInfoApi = params => instance.post("/c/user/save", params);

// 保存身份证信息
export const saveIdCardApi = params => instance.post("/c/user/citizen/save", params);
// 保存求职意向
export const saveJobIntentionApi = params => instance.post("/user/resume/saveJobIntention", params);
// 保存工作经历
export const saveWorkExperienceApi = params => instance.post("/user/resume/saveWorkExperience", params);
// 保存教育经历
export const saveEducationExperienceApi = params => instance.post("/user/resume/saveEducationExperience", params);
// 获取投递列表
export const getApplicationListApi = params => instance.post("/user/application/page", params);
// 获取面试列表
export const getInterviewListApi = params => instance.post("/job/getInterviewList", params);

//更具code码获取城市名称
export const getCityNameByCodeApi = code => instance.post(`/dict/dictProvinceCityDistrict/find/dist/${code}`);

//根据任意code码获取城市名称
export const getCityNameByCodeApi2 = code => instance.post(`/dict/area/find/${code}`);
// 专业目录
export const getMajorTreeApi = () => instance.post(`/dict/major/tree`);

// 用户申诉
export const appeal = params => instance.post(`/user/appeal`,params);

